Analyze an uploaded image
POST/api/v2/Image/vision
Analyzes an image using a vision-capable model and returns a textual description. Supported file formats: jpg, jpeg, png, gif, webp.
Request
Query Parameters
Use this param to override the culture of the response. Options: - en (default) - es
- multipart/form-data
Body
The image file to analyze.
Possible values: <= 4000 characters
Optional instruction guiding the analysis.
Possible values: <= 256 characters
Optional user identifier for tracking and cost management purposes.
Possible values: <= 64 characters
The channel used in the execution.
The unique identifier of the AI model to use. Used instead of Vendor and ModelCode.
The model code to use. Used together with Vendor when AIModelId is not provided.
The vendor of the model to use. Used together with ModelCode when AIModelId is not provided.
Responses
- 200
- 400
- 401
- 403
- 404
- 500
Returns the image analysis result.
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
tokenUsage
object
cost
object
{
"instanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"response": "string",
"tokenUsage": {
"completionTokens": 0,
"promptTokens": 0,
"totalTokens": 0
},
"cost": {
"completion": 0,
"prompt": 0,
"total": 0,
"currency": "string"
}
}
- Schema
- Example (from schema)
Schema
tokenUsage
object
cost
object
{
"instanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"response": "string",
"tokenUsage": {
"completionTokens": 0,
"promptTokens": 0,
"totalTokens": 0
},
"cost": {
"completion": 0,
"prompt": 0,
"total": 0,
"currency": "string"
}
}
- Schema
- Example (from schema)
Schema
tokenUsage
object
cost
object
{
"instanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"response": "string",
"tokenUsage": {
"completionTokens": 0,
"promptTokens": 0,
"totalTokens": 0
},
"cost": {
"completion": 0,
"prompt": 0,
"total": 0,
"currency": "string"
}
}
There was a validation error. Please check your request data.
- application/json
- Schema
- Example (from schema)
Schema
errors
object
nullable
{
"message": "string",
"errors": {}
}
The user is unauthorized or the session expired
The user does not have permission
If the specified model is not found.
There was an unexpected error